GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
gdcm::ImageRegionReader Class Reference

ImageRegionReader. More...

`#include <gdcmImageRegionReader.h>`

Inheritance diagram for gdcm::ImageRegionReader:
[legend]
Collaboration diagram for gdcm::ImageRegionReader:
[legend]

## Public Member Functions

| ImageRegionReader ()
| ~ImageRegionReader ()
size_t | ComputeBufferLength () const
Region const & | GetRegion () const
bool | ReadInformation ()
bool | ReadIntoBuffer (char *inreadbuffer, size_t buflen)
void | SetRegion (Region const &region)
| Set/Get Region to be read.
Public Member Functions inherited from gdcm::ImageReader
| ImageReader ()
virtual | ~ImageReader ()
const Image & | GetImage () const
| Return the read image.
Image & | GetImage ()
Public Member Functions inherited from gdcm::PixmapReader
| PixmapReader ()
virtual | ~PixmapReader ()
const Pixmap & | GetPixmap () const
| Return the read image (need to call Read() first)
Pixmap & | GetPixmap ()
Public Member Functions inherited from gdcm::Reader
| Reader ()
virtual | ~Reader ()
bool | CanRead () const
const File & | GetFile () const
| Set/Get File.
File & | GetFile ()
| Set/Get File.
bool | ReadSelectedTags (std::set< Tag > const &tags)
| Will only read the specified selected tags.
bool | ReadUpToTag (const Tag &tag, std::set< Tag > const &skiptags=std::set< Tag >())
void | SetFile (File &file)
| Set/Get File.
void | SetFileName (const char *filename_native)
void | SetStream (std::istream &input_stream)
| Set the open-ed stream directly.

## Protected Member Functions

bool | Read ()
| To prevent user from calling super class Read() function.
Protected Member Functions inherited from gdcm::ImageReader
bool | ReadACRNEMAImage ()
bool | ReadImage (MediaStorage const &ms)

## Additional Inherited Members

Protected Attributes inherited from gdcm::PixmapReader
SmartPointer< Pixmap > | PixelData

## Detailed Description

ImageRegionReader.

See Also
  ImageReader

## Constructor & Destructor Documentation

gdcm::ImageRegionReader::ImageRegionReader | ( |  | ) |

gdcm::ImageRegionReader::~ImageRegionReader | ( |  | ) |

## Member Function Documentation

size_t gdcm::ImageRegionReader::ComputeBufferLength | ( |  | ) | const

Explicit call which will compute the minimal buffer length that can hold the whole uncompressed image as defined by Region `region`.

Returns
  0 upon error

Region const& gdcm::ImageRegionReader::GetRegion | ( |  | ) | const

bool gdcm::ImageRegionReader::Read | ( |  | ) |

protectedvirtual

To prevent user from calling super class Read() function.

Reimplemented from gdcm::ImageReader.

bool gdcm::ImageRegionReader::ReadInformation | ( |  | ) |

Read meta information (not Pixel Data) from the DICOM file.

Returns
  false upon error

bool gdcm::ImageRegionReader::ReadIntoBuffer | ( | char * | inreadbuffer,
|  | size_t | buflen
| ) |  |

Read into buffer:

Returns
  false upon error

void gdcm::ImageRegionReader::SetRegion | ( | Region const & | region | ) |

Set/Get Region to be read.

The documentation for this class was generated from the following file:

- gdcmImageRegionReader.h